Foreman - Feature #215

Allow blank values for parameters
04/16/2010 02:09 AM - Bash Shell

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Host creation
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1120685 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1610
Description

If blank values for parameters are allowed, then one can do thing in templates like

!param_name.empty? —-%>

<
<% do_some_thing -%>

o
©
o
©

This should be a pretty small change in parameter.rb .

Related issues:

Is duplicate of Foreman - Bug #4319: Parameter with no value is not persisted... Duplicate 02/11/2014
Has duplicate Foreman - Bug #6697: Ul doesn't raise any error when we add OS ... Duplicate 07/21/2014
Has duplicate Foreman - Bug #1512: Cannot give parameter empty value Duplicate 02/28/2012

Associated revisions

Revision 32ced385 - 07/31/2014 08:34 AM - Ori Rabin

Fixes #215: Parameters can be saved without a value

History

#1 - 04/16/2010 03:30 AM - Ohad Levy
- Status changed from New to Feedback
- Assignee set to Bash Shell
Bash Shell wrote:
If blank values for parameters are allowed, then one can do thing in templates like
[--]
This should be a pretty small change in parameter.rb .
that's actually not true, as when saving the host model with the parameters (which is another model), the way to detect if there are new parameters is
based on if the value is empty or not.

I'm not sure if that's such a useful feature, as you can also use:

<% if has_variable? ("myvar") then %>

#2 - 04/19/2010 08:07 PM - Bash Shell
Like we discussed on IRC, it would be great if users have the option of having blank values.

We use it in a couple of ways in our templates. (hard to describe, | know)

This is also valid YAML, so it would be great to have that option.
#3 - 09/19/2010 03:49 PM - Ohad Levy

the problem is that the current implementation detect the presence of parameters based on the parameter value... (e.g. it gets deleted if the value is
blank).
Patches are welcomed :)

#4 - 12/06/2012 10:39 AM - Benjamin Papillon
- Status changed from Feedback to New

- Assignee deleted (Bash Shell)

| remove the tag "feedback". Patches are always welcome :D

#5 - 02/12/2014 06:37 AM - Ohad Levy

- Is duplicate of Bug #4319: Parameter with no value is not persisted in hostgroup added

#6 - 02/12/2014 06:38 AM - Ohad Levy

- Status changed from New to Duplicate

#7 - 02/12/2014 06:38 AM - Ohad Levy
- Description updated

- Status changed from Duplicate to New

#8 - 07/27/2014 10:28 AM - Ohad Levy

- Assignee set to Ori Rabin

#9 - 07/31/2014 03:41 AM - Ori Rabin
- Status changed from New to Ready For Testing

#10 - 07/31/2014 03:41 AM - Ori Rabin

- Related to Bug #6697: Ul doesn't raise any error when we add OS parameter without any value added

#11 - 07/31/2014 04:01 AM - Ohad Levy

- Related to deleted (Bug #6697: Ul doesn't raise any error when we add OS parameter without any value)

#12 - 07/31/2014 04:01 AM - Ohad Levy

- Has duplicate Bug #6697: Ul doesn't raise any error when we add OS parameter without any value added

#13 - 07/31/2014 04:38 AM - Ori Rabin
- Pull request https://github.com/theforeman/foreman/pull/1610 added
- Pull request deleted ()

#14 - 07/31/2014 06:55 AM - Dominic Cleal
- Related to deleted (Bug #1512: Cannot give parameter empty value)

#15 - 07/31/2014 06:56 AM - Dominic Cleal
- Has duplicate Bug #1512: Cannot give parameter empty value added

#16 - 07/31/2014 06:56 AM - Dominic Cleal
- Category set to Host creation
- Target version setto 1.7.5

- translation missing: en.field_release set to 10

#17 - 07/31/2014 09:00 AM - Bryan Kearney
- Bugzilla link set to 1120685

#18 - 07/31/2014 09:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 32ced385505260adc3bfc3a3ef2e4f75b2741410.
